{* Smarty *}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
	<title>CookingSpecial Install</title>
</head>

<body>

<h1>CookingSpecial Installation</h1>

<ul id="messages">
{foreach from=$messages item=message}
<li>{$message}</li>
{/foreach}
</ul>

<form action="./install.php" method="post">
<p>Please provide the following information to set up this CookingSpecial website installation.</p>
<p><i>Fields with a <strong>*</strong> are required.</i></p>
<fieldset>
	<legend>Database Information</legend>
	<div>Host:* <input type="text" name="host" value="{$host|default:'localhost'}" /> <i>Default is <strong>localhost</strong>.</i></div>
	<div>Database Name:* <input type="text" name="name" value="{$name|default:'cookingspecial'}" /></div>
	<div style="margin-left: 0.8em;">* <input type="checkbox" id="exists" name="exists" {if $exists}checked="checked"{/if} /> <label for="exists">This database already exists</label></div>
	<div>Database User (Name):* <input type="text" name="user" value="{$user|default:''}" /> <i>Enter a user with root permissions.</i></div>
	<div>Database User (Password):* <input type="text" name="password" value="{$password|default:''}" /> <i>Password cannot be blank.</i></div>
</fieldset>
<fieldset>
	<legend>Other Options</legend>
	<div><legend for="populate"><i>Developer use:</i>Populate database with default (dummy) data</legend> <input type="checkbox" name="populate" id="populate" {if $populate}checked="checked"{/if} /></div>
</fieldset>

<div style="color: red;"><i><strong>Warning</strong>: Clicking Install will delete and recreate the database with the given name.</i></div>
<br />
<input type="submit" name="submit" value="Install" />

</fieldset>
</form>

</body>
</html>