#!/bin/bash


function usage {

    echo "Usage:"
    echo "    ./run_parser.sh recipe_keywords"
    echo "    e.g ./run_parser.sh sugar salt"
    echo "        Will insert specials into db from QFC"
    echo "        Will insert EACH recipe for the keywords passed in"

}



if [ $# -eq 0 ]
then
    usage;
    exit -1;
fi

echo "=============================================="
echo "******* Please make sure this file ***********"
echo "****   is run from the parser directory  *****"
echo "=============================================="

echo "******* Inserting specials into db ***********"

cd ./store
perl insert_data.pl

echo "=============================================="
echo "******* Inserting Recipes into db ************"

cd ../recipe
for foodItem in "$@"
do
    perl allrecipes.pl "$foodItem"
done

echo "=============================================="
